Request
curl https://sandbox.api.lendeasy.ai/v1/merchant-advances/$ADVANCE_ID/projection \
-H "Authorization: Bearer $TOKEN"
await fetch(`https://sandbox.api.lendeasy.ai/v1/merchant-advances/${advanceId}/projection`, {
method: "GET",
headers: { Authorization: `Bearer ${token}` },
});
requests.get(
f"https://sandbox.api.lendeasy.ai/v1/merchant-advances/{advance_id}/projection",
headers={"Authorization": f"Bearer {token}"},
)
{
"advanceId": "ma_northstar_6N8Q",
"projectionVersion": 5,
"asOf": "2026-09-10",
"projectedCompletionDate": "2027-07-04",
"assumptions": {
"expectedMonthlySales": "50000.00",
"remittanceRate": "0.12"
},
"periods": [
{
"month": "2026-10",
"projectedSales": "50000.00",
"projectedRemittance": "6000.00",
"projectedRemaining": "52574.95"
}
]
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}
{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}